View Issue Details

Category
SSPBT:本体(SSP)
SeverityfeatureReproducibilityN/A 
Status closed 
Fixed in Version2.5 (リリース) 
Summary0000205: Let ghost provide another update path to the shell
Description

My ghost provides the function of changing homeurl so that updates can be obtained in different countries or make it faster. However, I found a problem recently: My ghost is only about 30mb, and dozens of shells occupy about 300mb of space
I try to separate shell from ghost&make those shells as an option, but the update path of shell is dead, if I separate them, users in some countries (such as China) will not able to receive shell updates, which has an impact on the development of new features of ghost
I think maybe allowing ghost to provide the update path of shell can solve this problem

TagsNo tags attached.
Attach Tags

Activities

guest

2021-08-21 23:54

reporter   ~0000581

me too

a.png (929,474 bytes)

guest

2021-09-01 01:10

reporter   ~0000631

Draft:
event : base_homeurls.shell
refence0 : shell name
refence1 : shell directory
refence2 : shell directory name in install.txt
Return the homeurl separated by char(1). When updating the shell, give priority to the homeurls provided here and try successively until the update is successful. If all updates fail, use the homeurl provided by the shell itself
Save in the profile folder for normal update when ghost is not started

event : base_homeurls.ghost
Return the homeurl separated by char(1). When updating ghost, give priority to the homeurls provided here and try successively until the update succeeds. If all updates fail, use the homeurl provided by describe.txt
Save in the profile folder for normal update when ghost is not started

ponapalt

2021-09-03 16:04

administrator   ~0000637

Last edited: 2021-09-03 16:05

I think the proposed spec is inappropriate because it creates unnecessary shell and ghost dependencies.

So, I've implemented ![updateother,--shell=shell name 1,--shell=shell name 2,...] instead.
Please add homeurl to all shell descript.txt, then execute above tag.
Note that OnUpdateOther~ event raised instead of OnUpdate~

guest

2021-09-04 10:08

reporter   ~0000640

It's a good thing that you can trigger the update of other items, but I think the main problem is that we want a reasonable and clear way to change the homeurl of ghost and shell (or provide the homeurl that will be given priority), rather than traversing and modifying the file

ponapalt

2021-10-02 16:14

administrator   ~0000743

2.5.33

http://ssp.shillest.net/ukadoc/manual/list_shiori_resource.html#other_homeurl_override

This specification is intentionally designed to be minimal.
If you want to retry when an error occurs, you should run the update script again.

Issue History

Date Modified Username Field Change
2021-07-01 10:02 guest New Issue
2021-08-21 23:54 guest Note Added: 0000581
2021-08-21 23:54 guest File Added: a.png
2021-09-01 01:10 guest Note Added: 0000631
2021-09-03 16:00 ponapalt Assigned To => ponapalt
2021-09-03 16:00 ponapalt Status new => assigned
2021-09-03 16:04 ponapalt Status assigned => feedback
2021-09-03 16:04 ponapalt Note Added: 0000637
2021-09-03 16:04 ponapalt Note Edited: 0000637
2021-09-03 16:05 ponapalt Note Edited: 0000637
2021-09-04 10:08 guest Note Added: 0000640
2021-09-04 10:08 guest Status feedback => assigned
2021-10-02 09:10 ponapalt Status assigned => confirmed
2021-10-02 16:14 ponapalt Status confirmed => closed
2021-10-02 16:14 ponapalt Resolution open => fixed
2021-10-02 16:14 ponapalt Fixed in Version => 2.5 (リリース)
2021-10-02 16:14 ponapalt Note Added: 0000743